org.eclipse.viatra.query.runtime.matchers.tuple

## Class LeftInheritanceTuple4

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple
  - - org.eclipse.viatra.query.runtime.matchers.tuple.Tuple
    - - org.eclipse.viatra.query.runtime.matchers.tuple.BaseLeftInheritanceTuple
      - - org.eclipse.viatra.query.runtime.matchers.tuple.LeftInheritanceTuple4

- All Implemented Interfaces:
    ITuple

      public final class LeftInheritanceTuple4
      extends BaseLeftInheritanceTuple

  Since:
    1.7

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.BaseLeftInheritanceTuple

      `ancestor, inheritedIndex`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.Tuple

      `cachedHash`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LeftInheritanceTuple4(Tuple ancestor, java.lang.Object localElement0, java.lang.Object localElement1, java.lang.Object localElement2, java.lang.Object localElement3)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `get(int index)`
    `int` | `getLocalSize()`
    `int` | `getSize()`
    `protected boolean` | `localEquals(BaseLeftInheritanceTuple other)` Checks the equivalence of local elements only, after ancestor tuple has been determined to be equal.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.BaseLeftInheritanceTuple

      `internalEquals`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.Tuple

      `equals, hashCode, replaceAll, toImmutable`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple

      `doCalcHash, getDistinctElements, getElements, invertIndex, invertIndexWithMupliplicity, raiseIndexingError, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LeftInheritanceTuple4

          protected LeftInheritanceTuple4(Tuple ancestor,
                                          java.lang.Object localElement0,
                                          java.lang.Object localElement1,
                                          java.lang.Object localElement2,
                                          java.lang.Object localElement3)

  - ### Method Detail

    - #### getLocalSize

          public int getLocalSize()

      Specified by:
        `getLocalSize` in class `BaseLeftInheritanceTuple`
      Returns:
        the number of local (non-inherited) elements

    - #### getSize

          public int getSize()

      Returns:
        number of elements

    - #### get

          public java.lang.Object get(int index)

      Returns:
        the element at the specified index

    - #### localEquals

          protected boolean localEquals(BaseLeftInheritanceTuple other)

      Description copied from class: `BaseLeftInheritanceTuple`
      Checks the equivalence of local elements only, after ancestor tuple has been determined to be equal.
      Specified by:
        `localEquals` in class `BaseLeftInheritanceTuple`